{ stdenv, fetchurl, boost, gperf, libevent, libmysqlclient, libuuid, python3, sqlite, hiredis, postgresql, openssl }:
stdenv.mkDerivation rec {
  pname = "gearmand";
  version = "1.1.19.1";
  src = fetchurl {
    url = "https://github.com/gearman/${pname}/releases/download/${version}/${pname}-${version}.tar.gz";
    sha256 = "1yvb2r3n89p43nchsi3d4nwl0f4xsiy8msnacmm4x4hcdb8y19lf";
  };
  buildInputs = [ boost gperf libevent openssl libmysqlclient libuuid sqlite hiredis postgresql ];
  configureFlags = [
    "--with-boost=${boost.dev}"
    "--with-boost-libdir=${boost}/lib"
    "--with-openssl=${openssl.dev}"
    "--enable-ssl"
  ];
}
